#### Describe your issue

> Describe the issue or ask your question regarding this module.
> Provide as much relevant information as you can. If you're not sure if something
> is relevant or not, include it as well!
> 
> Logs and screenshots are very welcome!

#### How can others reproduce the issue?

> Describe how others can reproduce this issue as precisely as possible.
> 
> If you can't reproduce the issue, let us know what you tried!
> 
> You can remove this section if the issue isn't something reproducable
> (for example for certain questions or feature requests).

#### Possible solution

> If you have a possible solution to this issue or an idea that might
> help us to find one, describe it here. Let us know what you tried!
>
> You can remove this section if it'd be empty.

#### What's your setup

- OS (`Windows/OS X/Linux` + `version`):
- Node (`node --version`):
- NPM (`npm --version`):
- Docker (`docker version --format '{{.Server.Version}}'`):

> You can remove this section if it's irrelevant to the issue
> (for example for certain questions or feature requests).

#### Issue checklist

Please check the boxes in this list after submitting your Issue:

- [ ] I've checked if this issue already exists
- [ ] I've included all the information that i think is relevant
- [ ] I've added logs and/or screenshots (if applicable)
- [ ] I've mentioned PRs and issues that relate to this one
