'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRelay = require('react-relay');

var _reactRelay2 = _interopRequireDefault(_reactRelay);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _CrudTable = require('@quantusflow/process_engine_client_processable_react/dist/commonjs/Processable/CrudTable/CrudTable.js');

var _CrudTable2 = _interopRequireDefault(_CrudTable);

var _themeProvider = require('../../theme/themeProvider');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TodoBasket = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(TodoBasket, _Component);

  function TodoBasket(props) {
    (0, _classCallCheck3.default)(this, TodoBasket);

    var _this = (0, _possibleConstructorReturn3.default)(this, (TodoBasket.__proto__ || (0, _getPrototypeOf2.default)(TodoBasket)).call(this, props));

    _this.columnSchema = [{ name: 'ID', thcProps: { hidden: true, dataField: 'id', isKey: true }, searchable: true }, { name: 'Name', thcProps: { dataField: 'name', dataSort: true }, searchable: true }];
    _this.itemBasedButtonSchema = [];
    _this.listBasedButtonSchema = [];
    _this.filterMenuSchema = [];
    _this.baseFilterMenuSchema = [];
    return _this;
  }

  (0, _createClass3.default)(TodoBasket, [{
    key: 'getBaseFilter',
    value: function getBaseFilter() {
      return {
        operator: 'and',
        queries: [{
          attribute: 'id',
          operator: '!=',
          value: null
        }, {
          attribute: 'state',
          operator: '=',
          value: 'wait'
        }]
      };
    }
  }, {
    key: 'handleRowDoubleClick',
    value: function handleRowDoubleClick(row) {
      if (this.props.onRowDoubleClick) {
        this.props.onRowDoubleClick(row);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var children = this.props.children;


      var processableCrudTable = _react2.default.createElement(_CrudTable2.default, {
        title: 'offene Aufgaben',

        executionContext: this.props.executionContext,
        processEngineClientApi: this.props.route.injectables ? this.props.route.injectables.processEngineClientApi : null,

        entityTypeName: "NodeInstance",
        fetcher: function fetcher(partialVariables, onReadyStateChange) {
          return _this2.props.relay.forceFetch(partialVariables, onReadyStateChange);
        },
        baseFilter: this.getBaseFilter,
        entityCollection: this.props.catalog.todos,

        onRowDoubleClick: function onRowDoubleClick(row) {
          return _this2.handleRowDoubleClick(row);
        },

        createButtonTheme: (0, _themeProvider.applyTheme)('TableHeader'),

        processButtonTheme: (0, _themeProvider.applyTheme)('ProcessManager'),
        processDialogTheme: (0, _themeProvider.applyTheme)('ProcessManager'),
        processFormItemTheme: (0, _themeProvider.applyTheme)('TodoBasketFormItem'),
        processConfirmTheme: (0, _themeProvider.applyTheme)('TodoBasketConfirmItem'),
        processWidgetTheme: (0, _themeProvider.applyTheme)('ProcessManager'),
        processTheme: (0, _themeProvider.applyTheme)('TodoBasket'),

        columnSchema: this.columnSchema,
        itemBasedButtonSchema: this.itemBasedButtonSchema,
        listBasedButtonSchema: this.listBasedButtonSchema,
        filterMenuSchema: this.filterMenuSchema,
        baseFilterMenuSchema: this.baseFilterMenuSchema,

        listBasedButtonTheme: (0, _themeProvider.applyTheme)('TableHeader'),
        itemBasedButtonTheme: (0, _themeProvider.applyTheme)('TableHeader'),
        filterMenuTheme: (0, _themeProvider.applyTheme)('TableHeader'),
        baseFilterMenuTheme: (0, _themeProvider.applyTheme)('TableHeader'),

        defaultSortName: 'name',
        defaultSortOrder: 'asc',

        searchFieldTheme: (0, _themeProvider.applyTheme)('TableHeader'),

        theme: (0, _themeProvider.applyTheme)('ProcessableCrudTable'),

        tableTheme: (0, _themeProvider.applyTheme)('Table'),
        tableOverlayTheme: (0, _themeProvider.applyTheme)('TableOverlay'),
        tableSelectorTheme: (0, _themeProvider.applyTheme)('TableSelector'),

        tableStyles: {
          headerContainerClassName: TodoBasket.styles.headerContainer,
          itemBasedElementsClassName: TodoBasket.styles.itemBasedElements,
          filterMenuElementsClassName: TodoBasket.styles.filterMenuElements,
          tableWithFrameClassName: TodoBasket.styles.gridListBox,
          tableWithoutFrameClassName: TodoBasket.styles.gridListBoxNoFrame,
          createButtonClassName: TodoBasket.styles.createButton,
          contentOverlayClassName: TodoBasket.styles.contentOverlay,
          tableBarClassName: TodoBasket.styles.tableBar,
          itemHeaderClassName: TodoBasket.styles.itemHeader,
          searchFieldClassName: TodoBasket.styles.searchField,
          itemBasedMoreButtonClassName: TodoBasket.styles.itemBasedMoreButton,
          itemBasedButtonClassName: TodoBasket.styles.itemBasedButton,
          tableRowClassName: TodoBasket.styles.tableRow,
          tableHeaderRowClassName: TodoBasket.styles.tableHeaderRow,
          tableColumnSelectorClassName: TodoBasket.styles.tableColumnSelector,
          tableHeaderColumnSelectorClassName: TodoBasket.styles.tableHeaderColumnSelector
        },
        rbtProps: {
          selectRow: null
        }
      });

      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(this.props.containerClassName, TodoBasket.styles.todoBasketContainer) },
        processableCrudTable,
        children
      );
    }
  }]);
  return TodoBasket;
}(_react.Component), _class.propTypes = {
  catalog: _react.PropTypes.object,
  executionContext: _react.PropTypes.object,
  relay: _react.PropTypes.object,
  route: _react.PropTypes.object,
  loggedIn: _react.PropTypes.bool,
  containerClassName: _react.PropTypes.string,
  onRowDoubleClick: _react.PropTypes.func
}, _class.styles = function () {
  if (global.__SERVER__) {
    return null;
  }
  return require('./TodoBasket.scss');
}(), _class.contextTypes = {
  router: _react.PropTypes.object,
  viewer: _react.PropTypes.object
}, _temp);


var RelayedTodoBasket = _reactRelay2.default.createContainer(TodoBasket, {
  initialVariables: {
    mode: 'initial',
    query: (0, _stringify2.default)({
      operator: 'and',
      queries: [{
        attribute: 'id',
        operator: '=',
        value: null
      }, {
        attribute: 'state',
        operator: '=',
        value: 'wait'
      }]
    }),
    orderBy: (0, _stringify2.default)({ attributes: [{ attribute: 'name', order: 'asc' }] }),
    first: 1,
    offset: 0
  },

  fragments: {
    catalog: function catalog(variables) {
      return function () {
        return {
          children: [{
            alias: 'todos',
            calls: [{
              kind: 'Call',
              metadata: {},
              name: 'query',
              value: {
                kind: 'CallVariable',
                callVariableName: 'query'
              }
            }, {
              kind: 'Call',
              metadata: {},
              name: 'orderBy',
              value: {
                kind: 'CallVariable',
                callVariableName: 'orderBy'
              }
            }, {
              kind: 'Call',
              metadata: {
                type: 'Int'
              },
              name: 'first',
              value: {
                kind: 'CallVariable',
                callVariableName: 'first'
              }
            }, {
              kind: 'Call',
              metadata: {
                type: 'Int'
              },
              name: 'offset',
              value: {
                kind: 'CallVariable',
                callVariableName: 'offset'
              }
            }],
            children: [{
              children: [{
                children: [{
                  fieldName: 'id',
                  kind: 'Field',
                  metadata: {
                    isRequisite: true
                  },
                  type: 'ID'
                }, {
                  fieldName: 'name',
                  kind: 'Field',
                  metadata: {},
                  type: 'String'
                }, {
                  children: [{
                    fieldName: 'id',
                    kind: 'Field',
                    metadata: {
                      isRequisite: true
                    },
                    type: 'ID'
                  }, {
                    fieldName: 'key',
                    kind: 'Field',
                    metadata: {},
                    type: 'String'
                  }, {
                    fieldName: 'name',
                    kind: 'Field',
                    metadata: {},
                    type: 'String'
                  }, {
                    children: [{
                      fieldName: 'id',
                      kind: 'Field',
                      metadata: {
                        isRequisite: true
                      },
                      type: 'ID'
                    }, {
                      fieldName: 'key',
                      kind: 'Field',
                      metadata: {},
                      type: 'String'
                    }],
                    fieldName: 'processDef',
                    kind: 'Field',
                    metadata: {
                      canHaveSubselections: true
                    },
                    type: 'ProcessDef'
                  }],
                  fieldName: 'nodeDef',
                  kind: 'Field',
                  metadata: {
                    canHaveSubselections: true
                  },
                  type: 'NodeDef'
                }],
                fieldName: 'node',
                kind: 'Field',
                metadata: {
                  canHaveSubselections: true,
                  isRequisite: true
                },
                type: 'UserTask'
              }, {
                fieldName: 'cursor',
                kind: 'Field',
                metadata: {
                  isRequisite: true
                },
                type: 'String'
              }],
              fieldName: 'edges',
              kind: 'Field',
              metadata: {
                canHaveSubselections: true,
                isPlural: true
              },
              type: 'UserTaskEdge'
            }, {
              children: [{
                fieldName: 'startCursor',
                kind: 'Field',
                metadata: {},
                type: 'String'
              }, {
                fieldName: 'endCursor',
                kind: 'Field',
                metadata: {},
                type: 'String'
              }, {
                fieldName: 'hasNextPage',
                kind: 'Field',
                metadata: {
                  isRequisite: true
                },
                type: 'Boolean'
              }, {
                fieldName: 'hasPreviousPage',
                kind: 'Field',
                metadata: {
                  isRequisite: true
                },
                type: 'Boolean'
              }],
              fieldName: 'pageInfo',
              kind: 'Field',
              metadata: {
                canHaveSubselections: true,
                isRequisite: true
              },
              type: 'PageInfo'
            }],
            fieldName: 'UserTaskConnection',
            kind: 'Field',
            metadata: {
              canHaveSubselections: true,
              isConnection: true,
              isFindable: true
            },
            type: 'UserTaskConnection'
          }, {
            fieldName: 'id',
            kind: 'Field',
            metadata: {
              isGenerated: true,
              isRequisite: true
            },
            type: 'ID'
          }],
          id: _reactRelay2.default.QL.__id(),
          kind: 'Fragment',
          metadata: {},
          name: 'TodoBasket_CatalogRelayQL',
          type: 'Catalog'
        };
      }();
    }
  }
});

exports.default = RelayedTodoBasket;
module.exports = exports['default'];
